Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVincent Lorenzo2020-07-15 03:40:50 -0400
committerQuentin Le Menez2020-11-09 03:37:35 -0500
commitcbc2667bb24b2c8e946afeedc904ba3bf718434a (patch)
treee83615bd87a700b068411914f217887e216ce9ef /plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
parente3b8ccf5f618d96996a9f1b7f64d9a4367861423 (diff)
downloadorg.eclipse.papyrus-cbc2667bb24b2c8e946afeedc904ba3bf718434a.tar.gz
org.eclipse.papyrus-cbc2667bb24b2c8e946afeedc904ba3bf718434a.tar.xz
org.eclipse.papyrus-cbc2667bb24b2c8e946afeedc904ba3bf718434a.zip
Bug 565020: Remove all reexported dependencies
- update pom version - update manifest project version - remove all re-export - add all missing required dependencies (with developped tooling + add many others required handly) - remove the optional attribute (and maybe others) - update target platform - fix 2 features verify manually: - infra.architecture - infra.constraints - infra.core - infra.emf.expression - infra.emf - facet.editor - facet make in ignore org.eclipse.papyrus.uml.decoratormodel.internal.resource.tests.DecoratorModelIndexTest.decoratorModelsForPackage_none() Change-Id: Id83401c9c46ab360214407572c4d5bd35cb8c03e Signed-off-by: Vincent Lorenzo <vincent.lorenzo@cea.fr>
Diffstat (limited to 'plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF')
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF17
1 files changed, 6 insertions, 11 deletions
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
index 2dd2c59e9a9..ab1cb7e28ac 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
@@ -1,19 +1,14 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
- org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
- org.eclipse.papyrus.infra.widgets;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="[1.5.0,2.0.0)",
- org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="[1.7.0,2.0.0)",
- org.eclipse.core.databinding;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.jface.databinding;bundle-version="[1.5.0,2.0.0)",
- org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.papyrus.infra.properties.ui;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.e4.ui.css.core;bundle-version="[0.11.0,1.0.0)"
+Require-Bundle: org.eclipse.e4.ui.css.core;bundle-version="[0.12.0,1.0.0)",
+ org.eclipse.emf.databinding;bundle-version="[1.5.0,2.0.0)",
+ org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="[1.8.0,2.0.0)",
+ org.eclipse.papyrus.infra.properties.ui;bundle-version="[4.0.0,5.0.0)",
+ org.eclipse.papyrus.infra.widgets;bundle-version="[4.0.0,5.0.0)"
Export-Package: org.eclipse.papyrus.infra.gmfdiag.widgets,
org.eclipse.papyrus.infra.gmfdiag.widgets.editors
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 2.0.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.widgets.Activator

Back to the top